import { MatcherObject } from './core/types';
import { ReactHTML } from 'react';

interface MarkerProps {
    /**
     * The text content to be marked.
     */
    text: string;
    /**
     * Matchers to define patterns and corresponding React elements for styling.
     * Can be an object or a function that returns an object.
     */
    matchers: MatcherObject | ((input: string) => MatcherObject);
    /**
     * A React element to render for non-matching characters.
     */
    nonMatchElement?: JSX.Element;
    /**
     * Optional HTML tag to use as the wrapper element for the styled text.
     * @default Fragment
     */
    wrapperElementTag?: keyof ReactHTML;
}
declare const Marker: (props: MarkerProps) => import("react/jsx-runtime").JSX.Element;
export { Marker };
export type { MarkerProps };
